<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['gazelle.tf.HL7v2MessageProfiles']}"/>
    <ui:define name="body">
        <h:form id="globalForm" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <s:div rendered="#{not tfHl7MessageProfileManager.displayProfile}">
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.AffinityDomain']}"/>
                                <ui:param name="filterId" value="afDomain"/>
                                <ui:param name="filter" value="#{tfHl7MessageProfileManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.productregistry.system.label.Domain']}"/>
                                <ui:param name="filterId" value="domain"/>
                                <ui:param name="filter" value="#{tfHl7MessageProfileManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.tf.Transaction']}"/>
                                <ui:param name="filterId" value="transaction"/>
                                <ui:param name="filter" value="#{tfHl7MessageProfileManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.testmanagement.system.label.Actor']}"/>
                                <ui:param name="filterId" value="actor"/>
                                <ui:param name="filter" value="#{tfHl7MessageProfileManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['gazelle.tm.patient.SharePatientLogger.HL7Version']}"/>
                                <ui:param name="filterId" value="version"/>
                                <ui:param name="filter" value="#{tfHl7MessageProfileManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.MessageType']}"/>
                                <ui:param name="filterId" value="type"/>
                                <ui:param name="filter" value="#{tfHl7MessageProfileManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.users.reset']}"
                                         actionListener="#{tfHl7MessageProfileManager.filter.clear()}"
                                         render="globalForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>

                <h:commandLink title="#{messages['net.ihe.gazelle.tm.DownloadFilteredHL7MessageProfilesAsXmlFile']}"
                               ignoreDupResponses="true"
                               action="#{tfHl7MessageProfileManager.exportHl7MessageProfilesAsXml()}"
                               rendered="#{s:hasRole('admin_role')}"
                               value ="#{messages['net.ihe.gazelle.tm.ExportFilteredHL7MessageProfiles']}"
                               styleClass="gzl-btn-blue pull-right"
                               execute="@this"/>

                #{dataTableStateHolder.setAscendingOn('profileOid')}
                <rich:dataTable id="profileListTable" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                value="#{tfHl7MessageProfileManager.allProfiles}" var="currentProfile"
                                rendered="#{(tfHl7MessageProfileManager.allProfiles != null)}" render="ds">
                    <g:column sortBy="#{'profileOid'}" sortOrder="#{dataTableStateHolder.sortOrders['profileOid']}">
                        <ui:define name="header">#{messages['gazelle.tf.table.profileOid']}</ui:define>
                        <h:outputLink
                                value="#{tfHl7MessageProfileManager.gazelleHL7ValidatorURL}/viewProfile.seam?oid=#{currentProfile.profileOid}"
                                target="_blank">
                            <h:outputText value="#{currentProfile.profileOid}"/>
                        </h:outputLink>
                    </g:column>
                    <g:column sortBy="#{'domain.name'}"
                              sortOrder="#{dataTableStateHolder.sortOrders['domain.name']}">
                        <ui:define name="header">#{messages['gazelle.tf.Domain']}</ui:define>
                        #{currentProfile.domain.name}
                    </g:column>
                    <g:column sortBy="#{'actor.name'}"
                              sortOrder="#{dataTableStateHolder.sortOrders['actor.name']}">
                        <ui:define name="header">#{messages['gazelle.tf.Actor']}</ui:define>
                        #{currentProfile.actor.name}
                    </g:column>
                    <g:column sortBy="#{'transaction.keyword'}"
                              sortOrder="#{dataTableStateHolder.sortOrders['transaction.keyword']}">
                        <ui:define name="header">#{messages['gazelle.tf.table.Transaction']}</ui:define>
                        #{currentProfile.transaction.keyword}
                    </g:column>
                    <g:column sortBy="#{'hl7Version'}"
                              sortOrder="#{dataTableStateHolder.sortOrders['hl7Version']}">
                        <ui:define name="header">#{messages['gazelle.tf.Hl7Version']}</ui:define>
                        #{messages['gazelle.tf.HL7v']}#{currentProfile.hl7Version}
                    </g:column>
                    <g:column sortBy="#{'messageType'}"
                              sortOrder="#{dataTableStateHolder.sortOrders['messageType']}">
                        <ui:define name="header">#{messages['gazelle.tf.Message']}</ui:define>
                        #{currentProfile.messageType}
                        <h:outputText value=" (#{currentProfile.messageOrderControlCode})"
                                      rendered="#{not empty currentProfile.messageOrderControlCode}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.tf.AffinityDomains']}</ui:define>
                        <rich:list value="#{currentProfile.affinityDomains}"
                                   rendered="#{currentProfile.affinityDomains != null}" var="ad" type="unordered">
                            <h:outputText value="#{ad.labelToDisplay}"/>
                        </rich:list>
                    </g:column>
                    <g:column rendered="#{s:hasPermission('MasterModel', 'edit', null)}">
                        <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                        <a4j:commandLink event="click" render="globalForm,editProfilePanel"
                                         actionListener="#{tfHl7MessageProfileManager.editProfile(currentProfile)}">
                            <span class="gzl-icon-pencil"/>
                        </a4j:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="profileListTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <h:commandLink value="#{messages['gazelle.common.export.ExportAsExcel']}"
                               action="#{gazelleExcelExporterJboss7.export('globalForm:profileListTable')}"/>

                <s:div id ="importDiv" rendered="#{(s:hasRole('admin_role'))}">
                    <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                        <ui:param name="panel_id" value="importPanel"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.tm.ImportHL7MessageProfiles']}"/>
                        </ui:define>

                        <s:div id="uploadFile" rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport == null}">
                            <s:div rendered="#{tfHl7MessageProfileManager.getUploadedFileContent() == null}">
                                <h:outputText id="fileUploadInfo"
                                              value="#{messages['net.ihe.gazelle.tm.PleaseUploadTheXMLFileContainingHL7MessageProfil']}"/>
                                <ul>
                                    <li>
                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.ActorDomainTransactionDetectionIsBasedOnKeywords']}"/>
                                    </li>
                                    <li>
                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.DuplicateMessageProfileDetectionIsBaseOnTheProfi']}"/>
                                    </li>
                                    <li>
                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.AffinityDomainDetectionIsBasedOnKeywordIfOneDoes']}"/>
                                    </li>
                                </ul>
                                <rich:fileUpload
                                        fileUploadListener="#{tfHl7MessageProfileManager.uploadListener}"
                                        maxFilesQuantity="1"
                                        listHeight="60px"
                                        immediateUpload="true">
                                    <a4j:ajax event="uploadcomplete" render="uploadFile, footer"/>
                                </rich:fileUpload>
                            </s:div>

                            <s:div id="fileNameInfo" rendered="#{tfHl7MessageProfileManager.getUploadedFileContent() != null}" styleClass="form-horizontal">

                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">
                                        <h:outputText  value="#{messages['net.ihe.gazelle.tm.HL7MessageProfilesFile']}"/>
                                    </ui:define>
                                    <h:outputText value="#{tfHl7MessageProfileManager.getDescription()}"  />
                                </s:decorate>

                            </s:div>

                            <s:div id="reviewDiv">
                                <s:decorate template="/layout/form/_checkbox.xhtml">
                                    <ui:param name="id" value="cbAutoImport"/>
                                    <ui:define name="label">
                                        <h:outputText  value="#{messages['net.ihe.gazelle.tm.ReviewChangesBeforeSaving']}"/>
                                    </ui:define>
                                    <h:selectBooleanCheckbox id="cbAutoImport" value="#{tfHl7MessageProfileManager.reviewBeforeSaving}">
                                        <a4j:ajax event="change" render="reviewDiv"/>
                                    </h:selectBooleanCheckbox>
                                </s:decorate>

                                <s:div rendered="#{not tfHl7MessageProfileManager.reviewBeforeSaving}">
                                    <br/>
                                    <s:span styleClass="gzl-icon-exclamation-triangle"/>
                                    <h:outputText id="cbAutoImport"
                                                  class="gzl-text-orange"
                                                  value="#{messages['net.ihe.gazelle.tm.TheImportedHL7MessageProfilesWillBePersistedInDa']}"/>
                                </s:div>
                            </s:div>

                        </s:div>

                        <s:div id="reportDiv" rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport != null}" >
                            <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                                <ui:param name="panel_id" value="reportPanel"/>
                                <ui:define name="panel_title">
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.ReportOnHL7MessageProfilesImport']}"/>
                                </ui:define>

                                <s:div id="reportBody" rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport != null}" >
                                    <div class="panel-body bg-primary">
                                        <s:div rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.ignoredProfiles != null}">
                                            <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.ignoredProfiles.size} #{messages['net.ihe.gazelle.tm.MessageProfilesWillBeIgnoredBecauseTheyAreMissin']}" style="font-weight:bold"/>
                                            <br/>
                                            <s:div rendered="#{not tfHl7MessageProfileManager.hl7MessageProfileToImport.ignoredProfiles.isEmpty()}">
                                                <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfMessageProfilesThatHaveBeenIgnore']} "/>

                                                <rich:dataTable id="ignoredTable" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                                value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.ignoredProfiles}" var="currentProfile"
                                                                rendered="#{(tfHl7MessageProfileManager.allProfiles != null)}" render="dsIgnored">
                                                    <g:column sortBy="#{'profileOid'}" sortOrder="#{dataTableStateHolder.sortOrders['profileOid']}">
                                                        <ui:define name="header">#{messages['gazelle.tf.table.profileOid']}</ui:define>
                                                        <h:outputText value="#{currentProfile.profileOid}"/>
                                                    </g:column>
                                                    <g:column sortBy="#{'domain.name'}"
                                                              sortOrder="#{dataTableStateHolder.sortOrders['domain.name']}">
                                                        <ui:define name="header">#{messages['gazelle.tf.Domain']}</ui:define>
                                                        #{currentProfile.domain.keyword}
                                                    </g:column>
                                                    <g:column sortBy="#{'actor.name'}"
                                                              sortOrder="#{dataTableStateHolder.sortOrders['actor.name']}">
                                                        <ui:define name="header">#{messages['gazelle.tf.Actor']}</ui:define>
                                                        #{currentProfile.actor.keyword}
                                                    </g:column>
                                                    <g:column sortBy="#{'transaction.keyword'}"
                                                              sortOrder="#{dataTableStateHolder.sortOrders['transaction.keyword']}">
                                                        <ui:define name="header">#{messages['gazelle.tf.table.Transaction']}</ui:define>
                                                        #{currentProfile.transaction.keyword}
                                                    </g:column>
                                                    <g:column sortBy="#{'hl7Version'}"
                                                              sortOrder="#{dataTableStateHolder.sortOrders['hl7Version']}">
                                                        <ui:define name="header">#{messages['gazelle.tf.Hl7Version']}</ui:define>
                                                        #{messages['gazelle.tf.HL7v']}#{currentProfile.hl7Version}
                                                    </g:column>
                                                    <g:column sortBy="#{'messageType'}"
                                                              sortOrder="#{dataTableStateHolder.sortOrders['messageType']}">
                                                        <ui:define name="header">#{messages['gazelle.tf.Message']}</ui:define>
                                                        #{currentProfile.messageType}
                                                        <h:outputText value=" (#{currentProfile.messageOrderControlCode})"
                                                                      rendered="#{not empty currentProfile.messageOrderControlCode}"/>
                                                    </g:column>
                                                    <g:column>
                                                        <ui:define name="header">#{messages['gazelle.tf.AffinityDomains']}</ui:define>
                                                        <rich:list value="#{currentProfile.affinityDomains}"
                                                                   rendered="#{currentProfile.affinityDomains != null}" var="ad" type="unordered">
                                                            <h:outputText value="#{ad.labelToDisplay}"/>
                                                        </rich:list>
                                                    </g:column>
                                                    <f:facet name="footer">
                                                        <ui:include src="/util/datatableFooter.xhtml">
                                                            <ui:param name="dataScrollerId" value="dsIgnored"/>
                                                            <ui:param name="dataTableId" value="ignoredTable"/>
                                                        </ui:include>
                                                    </f:facet>
                                                </rich:dataTable>
                                            </s:div>
                                        </s:div>

                                        <s:div styleClass="col-md-4" rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownActors != null}">
                                            <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownActors.size} #{messages['net.ihe.gazelle.tm.ActorsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                            <br/>
                                            <s:div rendered="#{not tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownActors.isEmpty()}">
                                                <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfActorsThatHaveBeenFoundMissing']} "/>
                                                <ul>
                                                    <ui:repeat value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownActors}" var="actor">
                                                        <li>
                                                            <h:outputText value="#{actor}"/>
                                                        </li>
                                                    </ui:repeat>
                                                </ul>
                                            </s:div>
                                        </s:div>

                                        <s:div styleClass="col-md-4" rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownDomains != null}">
                                            <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownDomains.size} #{messages['net.ihe.gazelle.tm.DomainsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                            <br/>
                                            <s:div rendered="#{not tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownDomains.isEmpty()}">
                                                <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfDomainsThatHaveBeenFoundMissing']} "/>
                                                <ul>
                                                    <ui:repeat value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownDomains}" var="domain">
                                                        <li>
                                                            <h:outputText value="#{domain}"/>
                                                        </li>
                                                    </ui:repeat>
                                                </ul>
                                            </s:div>
                                        </s:div>

                                        <s:div styleClass="col-md-4" rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownTransactions != null}">
                                            <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownTransactions.size} #{messages['net.ihe.gazelle.tm.TransactionsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                            <br/>
                                            <s:div rendered="#{not tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownTransactions.isEmpty()}">
                                                <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfTransactionsThatHaveBeenFoundMiss']} "/>
                                                <ul>
                                                    <ui:repeat value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.unknownTransactions}" var="transaction">
                                                        <li>
                                                            <h:outputText value="#{transaction}"/>
                                                        </li>
                                                    </ui:repeat>
                                                </ul>
                                            </s:div>
                                        </s:div>
                                    </div>
                                    <br/>
                                    <s:div rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles != null and tfHl7MessageProfileManager.reviewBeforeSaving}">
                                        <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles.size} #{messages['net.ihe.gazelle.tm.HL7MessageProfilesWillBeImportedIntoYourDatabase']}" style="font-weight:bold"/>
                                    </s:div>
                                    <s:div rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles != null and not tfHl7MessageProfileManager.reviewBeforeSaving}">
                                        <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles.size} #{messages['net.ihe.gazelle.tm.HL7MessageProfilesHaveBeenImportedIntoYourDataba']}" style="font-weight:bold"/>
                                    </s:div>

                                    <s:div rendered="#{not (tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles == null) and not tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles.isEmpty()}">
                                        <div class="panel-body">
                                            <rich:dataTable id="importTable" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                            value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.messageProfiles}" var="currentProfile"
                                                            rendered="#{(tfHl7MessageProfileManager.allProfiles != null)}" render="dsImport">
                                                <g:column sortBy="#{'profileOid'}" sortOrder="#{dataTableStateHolder.sortOrders['profileOid']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.table.profileOid']}</ui:define>
                                                    <h:outputText value="#{currentProfile.profileOid}"/>
                                                </g:column>
                                                <g:column sortBy="#{'domain.name'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['domain.name']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Domain']}</ui:define>
                                                    #{currentProfile.domain.keyword}
                                                </g:column>
                                                <g:column sortBy="#{'actor.name'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['actor.name']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Actor']}</ui:define>
                                                    #{currentProfile.actor.keyword}
                                                </g:column>
                                                <g:column sortBy="#{'transaction.keyword'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['transaction.keyword']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.table.Transaction']}</ui:define>
                                                    #{currentProfile.transaction.keyword}
                                                </g:column>
                                                <g:column sortBy="#{'hl7Version'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['hl7Version']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Hl7Version']}</ui:define>
                                                    #{messages['gazelle.tf.HL7v']}#{currentProfile.hl7Version}
                                                </g:column>
                                                <g:column sortBy="#{'messageType'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['messageType']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Message']}</ui:define>
                                                    #{currentProfile.messageType}
                                                    <h:outputText value=" (#{currentProfile.messageOrderControlCode})"
                                                                  rendered="#{not empty currentProfile.messageOrderControlCode}"/>
                                                </g:column>
                                                <g:column>
                                                    <ui:define name="header">#{messages['gazelle.tf.AffinityDomains']}</ui:define>
                                                    <rich:list value="#{currentProfile.affinityDomains}"
                                                               rendered="#{currentProfile.affinityDomains != null}" var="ad" type="unordered">
                                                        <h:outputText value="#{ad.labelToDisplay}"/>
                                                    </rich:list>
                                                </g:column>
                                                <f:facet name="footer">
                                                    <ui:include src="/util/datatableFooter.xhtml">
                                                        <ui:param name="dataScrollerId" value="dsImport"/>
                                                        <ui:param name="dataTableId" value="importTable"/>
                                                    </ui:include>
                                                </f:facet>
                                            </rich:dataTable>
                                        </div>
                                    </s:div>

                                    <s:div rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles != null and tfHl7MessageProfileManager.reviewBeforeSaving}">
                                        <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles.size} #{messages['net.ihe.gazelle.tm.HL7MessageProfilesAreAlreadyPresentInYourDatabas']}" style="font-weight:bold"/>
                                    </s:div>
                                    <s:div rendered="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles != null and not tfHl7MessageProfileManager.reviewBeforeSaving}">
                                        <h:outputText value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles.size} #{messages['net.ihe.gazelle.tm.HL7MessageProfilesHaveNotBeenImportedIntoYourDat']}" style="font-weight:bold"/>
                                    </s:div>

                                    <s:div rendered="#{not (tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles == null) and not tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles.isEmpty()}">
                                        <div class="panel-body">
                                            <rich:dataTable id="duplicatedTable" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                            value="#{tfHl7MessageProfileManager.hl7MessageProfileToImport.duplicatedProfiles}" var="currentProfile"
                                                            rendered="#{(tfHl7MessageProfileManager.allProfiles != null)}" render="dsDuplicated">
                                                <g:column sortBy="#{'profileOid'}" sortOrder="#{dataTableStateHolder.sortOrders['profileOid']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.table.profileOid']}</ui:define>
                                                    <h:outputText value="#{currentProfile.profileOid}"/>
                                                </g:column>
                                                <g:column sortBy="#{'domain.name'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['domain.name']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Domain']}</ui:define>
                                                    #{currentProfile.domain.keyword}
                                                </g:column>
                                                <g:column sortBy="#{'actor.name'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['actor.name']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Actor']}</ui:define>
                                                    #{currentProfile.actor.keyword}
                                                </g:column>
                                                <g:column sortBy="#{'transaction.keyword'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['transaction.keyword']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.table.Transaction']}</ui:define>
                                                    #{currentProfile.transaction.keyword}
                                                </g:column>
                                                <g:column sortBy="#{'hl7Version'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['hl7Version']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Hl7Version']}</ui:define>
                                                    #{messages['gazelle.tf.HL7v']}#{currentProfile.hl7Version}
                                                </g:column>
                                                <g:column sortBy="#{'messageType'}"
                                                          sortOrder="#{dataTableStateHolder.sortOrders['messageType']}">
                                                    <ui:define name="header">#{messages['gazelle.tf.Message']}</ui:define>
                                                    #{currentProfile.messageType}
                                                    <h:outputText value=" (#{currentProfile.messageOrderControlCode})"
                                                                  rendered="#{not empty currentProfile.messageOrderControlCode}"/>
                                                </g:column>
                                                <g:column>
                                                    <ui:define name="header">#{messages['gazelle.tf.AffinityDomains']}</ui:define>
                                                    <rich:list value="#{currentProfile.affinityDomains}"
                                                               rendered="#{currentProfile.affinityDomains != null}" var="ad" type="unordered">
                                                        <h:outputText value="#{ad.labelToDisplay}"/>
                                                    </rich:list>
                                                </g:column>
                                                <f:facet name="footer">
                                                    <ui:include src="/util/datatableFooter.xhtml">
                                                        <ui:param name="dataScrollerId" value="dsDuplicated"/>
                                                        <ui:param name="dataTableId" value="duplicatedTable"/>
                                                    </ui:include>
                                                </f:facet>
                                            </rich:dataTable>
                                        </div>
                                    </s:div>
                                </s:div>

                                <ui:define name="panel_footer">
                                    <s:div id="reportFooter">
                                        <a4j:commandButton styleClass="gzl-btn"
                                                           value="#{messages['net.ihe.gazelle.tm.Reset']}"
                                                           rendered="#{tfHl7MessageProfileManager.getUploadedFileContent() != null}"
                                                           actionListener="#{tfHl7MessageProfileManager.resetImport()}"
                                                           render="importDiv"
                                                           execute="@this"/>

                                        <a4j:commandButton value="#{messages['net.ihe.gazelle.tm.ImportHL7MessageProfiles']}"
                                                           rendered="#{tfHl7MessageProfileManager.getUploadedFileContent() != null and tfHl7MessageProfileManager.reviewBeforeSaving and not tfHl7MessageProfileManager.hl7MessageProfileToImport.isImported()}"
                                                           styleClass="gzl-btn-blue"
                                                           action="#{tfHl7MessageProfileManager.persistImportedMessageProfiles()}"
                                                           render="profileListTable,importDiv"/>
                                    </s:div>
                                </ui:define>
                            </ui:decorate>
                        </s:div>


                        <ui:define name="panel_footer">
                            <s:div id="footer">
                                <a4j:commandButton styleClass="gzl-btn"
                                                   value="#{messages['net.ihe.gazelle.tm.Reset']}"
                                                   rendered="#{(tfHl7MessageProfileManager.getUploadedFileContent() != null) and (tfHl7MessageProfileManager.hl7MessageProfileToImport == null)}"
                                                   actionListener="#{tfHl7MessageProfileManager.resetUpload()}"
                                                   render="importDiv"
                                                   execute="@this"/>

                                <a4j:commandButton value="#{messages['net.ihe.gazelle.tm.ImportHL7MessageProfiles']}"
                                                   rendered="#{(tfHl7MessageProfileManager.getUploadedFileContent() != null) and (tfHl7MessageProfileManager.hl7MessageProfileToImport == null)}"
                                                   styleClass="gzl-btn-blue"
                                                   action="#{tfHl7MessageProfileManager.importMessageProfilesFromXml()}"
                                                   render="profileListTable,importDiv"/>
                            </s:div>
                        </ui:define>
                    </ui:decorate>
                </s:div>

            </s:div>
            <f:subview id="subview_22">
                <ui:include id="include4Edit" src="editMessageProfile.xhtml"/>
            </f:subview>

        </h:form>
    </ui:define>
</ui:composition>
